!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 11:37:31 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_ecm_implicit _theta
! Evaluation time                 : 22 s    Mode  : Optimal
! Number of formulae              : 486     Method: Automatic
! Subroutine                      : elmt05_ecm_implicit_theta size: 12026
! Total size of Mathematica  code : 12026 subexpressions
! Total size of Fortran code      : 33196 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt05_ecm_implicit_theta(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cPvec,cPprevvec,kP,cEvec
     &,cEprevvec,etaE,epsilonE,cEeq,cEtf,kE,rhoSvec,rhoSprevvec,kS
     &,resE,tangEU,tangEP,tangEE,tangES)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(1061),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cPvec(8),cPprevvec(8),kP,cEvec(8),cEprevvec(8
     &),etaE,epsilonE,cEeq,cEtf,kE,rhoSvec(8),rhoSprevvec(8),kS,resE
     &(8),tangEU(8,24),tangEP(8,8),tangEE(8,8),tangES(8,8)
      v(2)=thetanumerical
      v(300)=1d0-v(2)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(9)=Xn(2,2)
      v(10)=Xn(2,3)
      v(11)=Xn(3,1)
      v(12)=Xn(3,2)
      v(13)=Xn(3,3)
      v(14)=Xn(4,1)
      v(15)=Xn(4,2)
      v(16)=Xn(4,3)
      v(17)=Xn(5,1)
      v(18)=Xn(5,2)
      v(19)=Xn(5,3)
      v(20)=Xn(6,1)
      v(21)=Xn(6,2)
      v(22)=Xn(6,3)
      v(23)=Xn(7,1)
      v(24)=Xn(7,2)
      v(25)=Xn(7,3)
      v(26)=Xn(8,1)
      v(27)=Xn(8,2)
      v(28)=Xn(8,3)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(118)=1d0-v(53)
      v(114)=1d0+v(53)
      v(54)=eta
      v(124)=1d0+v(54)
      v(157)=v(124)/8d0
      v(165)=-(v(118)*v(157))
      v(164)=-(v(114)*v(157))
      v(120)=1d0-v(54)
      v(158)=v(120)/8d0
      v(163)=-(v(114)*v(158))
      v(161)=-(v(118)*v(158))
      v(176)=v(163)*(v(10)-v(22))+v(164)*(v(13)-v(25))+v(165)*(v(16)
     &-v(28))+v(161)*(-v(19)+v(7))
      v(173)=v(164)*(v(12)-v(24))+v(165)*(v(15)-v(27))+v(161)*(-v(18)
     &+v(6))+v(163)*(-v(21)+v(9))
      v(170)=v(164)*(v(11)-v(23))+v(165)*(v(14)-v(26))+v(161)*(-v(17)
     &+v(5))+v(163)*(-v(20)+v(8))
      v(55)=zeta
      v(156)=(1d0+v(55))/8d0
      v(167)=-(v(114)*v(156))
      v(166)=-(v(118)*v(156))
      v(127)=v(124)*v(156)
      v(122)=v(120)*v(156)
      v(159)=(1d0-v(55))/8d0
      v(162)=-(v(114)*v(159))
      v(160)=-(v(118)*v(159))
      v(175)=(v(10)-v(13))*v(162)+v(167)*(v(22)-v(25))+v(166)*(v(19)
     &-v(28))+v(160)*(-v(16)+v(7))
      v(172)=v(167)*(v(21)-v(24))+v(166)*(v(18)-v(27))+v(160)*(-v(15)
     &+v(6))+v(162)*(-v(12)+v(9))
      v(194)=-(v(173)*v(175))+v(172)*v(176)
      v(169)=v(167)*(v(20)-v(23))+v(166)*(v(17)-v(26))+v(160)*(-v(14)
     &+v(5))+v(162)*(-v(11)+v(8))
      v(117)=v(124)*v(159)
      v(112)=v(120)*v(159)
      v(174)=v(117)*(v(13)-v(16))+v(122)*(-v(19)+v(22))+v(127)*(v(25)
     &-v(28))+v(112)*(v(10)-v(7))
      v(171)=v(117)*(v(12)-v(15))+v(122)*(-v(18)+v(21))+v(127)*(v(24)
     &-v(27))+v(112)*(-v(6)+v(9))
      v(202)=-(v(172)*v(174))+v(171)*v(175)
      v(198)=-(v(173)*v(174))+v(171)*v(176)
      v(168)=v(117)*(v(11)-v(14))+v(122)*(-v(17)+v(20))+v(127)*(v(23)
     &-v(26))+v(112)*(-v(5)+v(8))
      v(76)=kE
      v(438)=v(76)/(cEeq*cEtf)
      v(340)=epsilonE*kP*v(4)
      v(296)=((-1d0)*etaE*kS*v(4))/v(76)
      v(914)=1d0*v(296)
      v(111)=v(112)*v(118)
      v(292)=v(111)*v(296)
      v(113)=v(112)*v(114)
      v(943)=(v(113)*v(113))
      v(116)=v(114)*v(117)
      v(119)=v(117)*v(118)
      v(121)=v(118)*v(122)
      v(946)=(v(121)*v(121))
      v(123)=v(114)*v(122)
      v(126)=v(114)*v(127)
      v(128)=v(118)*v(127)
      v(177)=v(168)*v(194)-v(169)*v(198)+v(170)*v(202)
      v(894)=v(177)*v(2)
      v(887)=v(128)*v(894)
      v(791)=v(126)*v(894)
      v(788)=v(123)*v(894)
      v(783)=v(121)*v(894)
      v(780)=v(119)*v(894)
      v(950)=1d0*v(780)
      v(775)=v(116)*v(894)
      v(770)=v(113)*v(894)
      v(195)=-(v(194)/v(177))
      v(260)=-(v(127)*v(195))
      v(251)=v(122)*v(195)
      v(242)=-(v(117)*v(195))
      v(233)=v(112)*v(195)
      v(196)=(-(v(170)*v(175))+v(169)*v(176))/v(177)
      v(262)=-(v(127)*v(196))
      v(253)=v(122)*v(196)
      v(244)=-(v(117)*v(196))
      v(235)=v(112)*v(196)
      v(197)=(v(170)*v(172)-v(169)*v(173))/v(177)
      v(264)=-(v(127)*v(197))
      v(255)=v(122)*v(197)
      v(246)=-(v(117)*v(197))
      v(237)=v(112)*v(197)
      v(199)=-(v(198)/v(177))
      v(221)=v(159)*v(199)
      v(209)=v(156)*v(199)
      v(200)=(-(v(170)*v(174))+v(168)*v(176))/v(177)
      v(224)=v(159)*v(200)
      v(211)=v(156)*v(200)
      v(201)=(v(170)*v(171)-v(168)*v(173))/v(177)
      v(227)=v(159)*v(201)
      v(213)=v(156)*v(201)
      v(203)=v(202)/v(177)
      v(222)=v(158)*v(203)
      v(215)=v(157)*v(203)
      v(204)=(v(169)*v(174)-v(168)*v(175))/v(177)
      v(225)=v(158)*v(204)
      v(217)=v(157)*v(204)
      v(205)=(-(v(169)*v(171))+v(168)*v(172))/v(177)
      v(228)=v(158)*v(205)
      v(219)=v(157)*v(205)
      v(206)=v(209)+v(215)
      v(207)=v(211)+v(217)
      v(208)=v(213)+v(219)
      v(210)=-v(209)+v(222)
      v(212)=-v(211)+v(225)
      v(214)=-v(213)+v(228)
      v(216)=-v(215)+v(221)
      v(218)=-v(217)+v(224)
      v(220)=-v(219)+v(227)
      v(223)=-v(221)-v(222)
      v(226)=-v(224)-v(225)
      v(229)=-v(227)-v(228)
      v(230)=v(118)*v(223)+v(233)
      v(231)=v(118)*v(226)+v(235)
      v(232)=v(118)*v(229)+v(237)
      v(234)=v(114)*v(223)-v(233)
      v(236)=v(114)*v(226)-v(235)
      v(238)=v(114)*v(229)-v(237)
      v(239)=v(114)*v(216)+v(242)
      v(240)=v(114)*v(218)+v(244)
      v(241)=v(114)*v(220)+v(246)
      v(243)=v(118)*v(216)-v(242)
      v(245)=v(118)*v(218)-v(244)
      v(247)=v(118)*v(220)-v(246)
      v(248)=v(118)*v(210)+v(251)
      v(249)=v(118)*v(212)+v(253)
      v(250)=v(118)*v(214)+v(255)
      v(252)=v(114)*v(210)-v(251)
      v(254)=v(114)*v(212)-v(253)
      v(256)=v(114)*v(214)-v(255)
      v(257)=v(114)*v(206)+v(260)
      v(258)=v(114)*v(207)+v(262)
      v(259)=v(114)*v(208)+v(264)
      v(261)=v(118)*v(206)-v(260)
      v(263)=v(118)*v(207)-v(262)
      v(265)=v(118)*v(208)-v(264)
      v(275)=1d0+v(230)*v(29)+v(234)*v(32)+v(239)*v(35)+v(243)*v(38)
     &+v(248)*v(41)+v(252)*v(44)+v(257)*v(47)+v(261)*v(50)
      v(276)=v(231)*v(29)+v(236)*v(32)+v(240)*v(35)+v(245)*v(38)+v
     &(249)*v(41)+v(254)*v(44)+v(258)*v(47)+v(263)*v(50)
      v(277)=v(232)*v(29)+v(238)*v(32)+v(241)*v(35)+v(247)*v(38)+v
     &(250)*v(41)+v(256)*v(44)+v(259)*v(47)+v(265)*v(50)
      v(278)=v(230)*v(30)+v(234)*v(33)+v(239)*v(36)+v(243)*v(39)+v
     &(248)*v(42)+v(252)*v(45)+v(257)*v(48)+v(261)*v(51)
      v(279)=1d0+v(231)*v(30)+v(236)*v(33)+v(240)*v(36)+v(245)*v(39)
     &+v(249)*v(42)+v(254)*v(45)+v(258)*v(48)+v(263)*v(51)
      v(895)=-(v(276)*v(278))+v(275)*v(279)
      v(280)=v(232)*v(30)+v(238)*v(33)+v(241)*v(36)+v(247)*v(39)+v
     &(250)*v(42)+v(256)*v(45)+v(259)*v(48)+v(265)*v(51)
      v(897)=-(v(277)*v(279))+v(276)*v(280)
      v(896)=v(277)*v(278)-v(275)*v(280)
      v(339)=v(265)*v(895)+v(263)*v(896)+v(261)*v(897)
      v(336)=v(259)*v(895)+v(258)*v(896)+v(257)*v(897)
      v(333)=v(256)*v(895)+v(254)*v(896)+v(252)*v(897)
      v(330)=v(250)*v(895)+v(249)*v(896)+v(248)*v(897)
      v(327)=v(247)*v(895)+v(245)*v(896)+v(243)*v(897)
      v(324)=v(241)*v(895)+v(240)*v(896)+v(239)*v(897)
      v(321)=v(238)*v(895)+v(236)*v(896)+v(234)*v(897)
      v(318)=v(232)*v(895)+v(231)*v(896)+v(230)*v(897)
      v(281)=v(230)*v(31)+v(234)*v(34)+v(239)*v(37)+v(243)*v(40)+v
     &(248)*v(43)+v(252)*v(46)+v(257)*v(49)+v(261)*v(52)
      v(282)=v(231)*v(31)+v(236)*v(34)+v(240)*v(37)+v(245)*v(40)+v
     &(249)*v(43)+v(254)*v(46)+v(258)*v(49)+v(263)*v(52)
      v(898)=v(276)*v(281)-v(275)*v(282)
      v(313)=-(v(279)*v(281))+v(278)*v(282)
      v(283)=1d0+v(232)*v(31)+v(238)*v(34)+v(241)*v(37)+v(247)*v(40)
     &+v(250)*v(43)+v(256)*v(46)+v(259)*v(49)+v(265)*v(52)
      v(900)=v(277)*v(282)-v(276)*v(283)
      v(899)=-(v(277)*v(281))+v(275)*v(283)
      v(338)=v(265)*v(898)+v(263)*v(899)+v(261)*v(900)
      v(335)=v(259)*v(898)+v(258)*v(899)+v(257)*v(900)
      v(332)=v(256)*v(898)+v(254)*v(899)+v(252)*v(900)
      v(329)=v(250)*v(898)+v(249)*v(899)+v(248)*v(900)
      v(326)=v(247)*v(898)+v(245)*v(899)+v(243)*v(900)
      v(323)=v(241)*v(898)+v(240)*v(899)+v(239)*v(900)
      v(320)=v(238)*v(898)+v(236)*v(899)+v(234)*v(900)
      v(317)=v(232)*v(898)+v(231)*v(899)+v(230)*v(900)
      v(315)=-(v(280)*v(282))+v(279)*v(283)
      v(314)=-(v(280)*v(281))+v(278)*v(283)
      v(337)=v(265)*v(313)-v(263)*v(314)+v(261)*v(315)
      v(334)=v(259)*v(313)-v(258)*v(314)+v(257)*v(315)
      v(331)=v(256)*v(313)-v(254)*v(314)+v(252)*v(315)
      v(328)=v(250)*v(313)-v(249)*v(314)+v(248)*v(315)
      v(325)=v(247)*v(313)-v(245)*v(314)+v(243)*v(315)
      v(322)=v(241)*v(313)-v(240)*v(314)+v(239)*v(315)
      v(319)=v(238)*v(313)-v(236)*v(314)+v(234)*v(315)
      v(316)=v(232)*v(313)-v(231)*v(314)+v(230)*v(315)
      v(284)=v(277)*v(313)-v(276)*v(314)+v(275)*v(315)
      v(342)=1d0/v(284)**2
      v(902)=-(v(340)*v(342))
      v(901)=v(342)*v(438)
      v(462)=v(339)*v(901)
      v(461)=v(338)*v(901)
      v(460)=v(337)*v(901)
      v(459)=v(336)*v(901)
      v(458)=v(335)*v(901)
      v(457)=v(334)*v(901)
      v(456)=v(333)*v(901)
      v(455)=v(332)*v(901)
      v(454)=v(331)*v(901)
      v(453)=v(330)*v(901)
      v(452)=v(329)*v(901)
      v(451)=v(328)*v(901)
      v(450)=v(327)*v(901)
      v(449)=v(326)*v(901)
      v(448)=v(325)*v(901)
      v(447)=v(324)*v(901)
      v(446)=v(323)*v(901)
      v(445)=v(322)*v(901)
      v(444)=v(321)*v(901)
      v(443)=v(320)*v(901)
      v(442)=v(319)*v(901)
      v(441)=v(318)*v(901)
      v(440)=v(317)*v(901)
      v(439)=v(316)*v(901)
      v(365)=v(339)*v(902)
      v(437)=v(111)*v(365)
      v(364)=v(338)*v(902)
      v(436)=v(111)*v(364)
      v(363)=v(337)*v(902)
      v(435)=v(111)*v(363)
      v(362)=v(336)*v(902)
      v(434)=v(111)*v(362)
      v(361)=v(335)*v(902)
      v(433)=v(111)*v(361)
      v(360)=v(334)*v(902)
      v(432)=v(111)*v(360)
      v(359)=v(333)*v(902)
      v(431)=v(111)*v(359)
      v(358)=v(332)*v(902)
      v(430)=v(111)*v(358)
      v(357)=v(331)*v(902)
      v(429)=v(111)*v(357)
      v(356)=v(330)*v(902)
      v(428)=v(111)*v(356)
      v(355)=v(329)*v(902)
      v(427)=v(111)*v(355)
      v(354)=v(328)*v(902)
      v(426)=v(111)*v(354)
      v(353)=v(327)*v(902)
      v(425)=v(111)*v(353)
      v(352)=v(326)*v(902)
      v(424)=v(111)*v(352)
      v(351)=v(325)*v(902)
      v(423)=v(111)*v(351)
      v(350)=v(324)*v(902)
      v(422)=v(111)*v(350)
      v(349)=v(323)*v(902)
      v(421)=v(111)*v(349)
      v(348)=v(322)*v(902)
      v(420)=v(111)*v(348)
      v(347)=v(321)*v(902)
      v(419)=v(111)*v(347)
      v(346)=v(320)*v(902)
      v(418)=v(111)*v(346)
      v(345)=v(319)*v(902)
      v(417)=v(111)*v(345)
      v(344)=v(318)*v(902)
      v(416)=v(111)*v(344)
      v(343)=v(317)*v(902)
      v(415)=v(111)*v(343)
      v(341)=v(316)*v(902)
      v(414)=v(111)*v(341)
      v(295)=v(340)/v(284)
      v(285)=cPvec(1)*v(111)+cPvec(2)*v(113)+cPvec(3)*v(116)+cPvec(4
     &)*v(119)+cPvec(5)*v(121)+cPvec(6)*v(123)+cPvec(7)*v(126)+cPvec
     &(8)*v(128)
      v(903)=v(285)*v(295)
      v(286)=cEvec(1)*v(111)+cEvec(2)*v(113)+cEvec(3)*v(116)+cEvec(4
     &)*v(119)+cEvec(5)*v(121)+cEvec(6)*v(123)+cEvec(7)*v(126)+cEvec
     &(8)*v(128)
      v(905)=v(285)*v(286)
      v(904)=v(286)*v(295)
      v(759)=v(128)*v(904)
      v(792)=v(759)*v(791)
      v(786)=v(759)*v(783)
      v(781)=v(759)*v(780)
      v(778)=v(759)*v(775)
      v(758)=v(126)*v(904)
      v(789)=v(758)*v(788)
      v(785)=v(758)*v(783)
      v(777)=v(758)*v(775)
      v(773)=v(758)*v(770)
      v(757)=v(123)*v(904)
      v(784)=v(757)*v(783)
      v(772)=v(757)*v(770)
      v(755)=v(119)*v(904)
      v(776)=v(755)*v(775)
      v(754)=v(116)*v(904)
      v(771)=v(754)*v(770)
      v(486)=v(286)*v(462)
      v(485)=v(286)*v(461)
      v(484)=v(286)*v(460)
      v(483)=v(286)*v(459)
      v(482)=v(286)*v(458)
      v(481)=v(286)*v(457)
      v(480)=v(286)*v(456)
      v(479)=v(286)*v(455)
      v(478)=v(286)*v(454)
      v(477)=v(286)*v(453)
      v(476)=v(286)*v(452)
      v(475)=v(286)*v(451)
      v(474)=v(286)*v(450)
      v(473)=v(286)*v(449)
      v(472)=v(286)*v(448)
      v(471)=v(286)*v(447)
      v(470)=v(286)*v(446)
      v(469)=v(286)*v(445)
      v(468)=v(286)*v(444)
      v(467)=v(286)*v(443)
      v(466)=v(286)*v(442)
      v(465)=v(286)*v(441)
      v(464)=v(286)*v(440)
      v(463)=v(286)*v(439)
      v(287)=rhoSvec(1)*v(111)+rhoSvec(2)*v(113)+rhoSvec(3)*v(116)
     &+rhoSvec(4)*v(119)+rhoSvec(5)*v(121)+rhoSvec(6)*v(123)+rhoSvec
     &(7)*v(126)+rhoSvec(8)*v(128)
      v(911)=v(287)*v(292)
      v(487)=v(287)*v(914)
      v(906)=1d0*v(487)
      v(289)=cEprevvec(1)*v(111)+cEprevvec(2)*v(113)+cEprevvec(3)*v
     &(116)+cEprevvec(4)*v(119)+cEprevvec(5)*v(121)+cEprevvec(6)*v
     &(123)+cEprevvec(7)*v(126)+cEprevvec(8)*v(128)
      v(907)=(cPprevvec(1)*v(111)+cPprevvec(2)*v(113)+cPprevvec(3)*v
     &(116)+cPprevvec(4)*v(119)+cPprevvec(5)*v(121)+cPprevvec(6)*v
     &(123)+cPprevvec(7)*v(126)+cPprevvec(8)*v(128))*v(289)
      v(535)=v(289)*v(462)
      v(534)=v(289)*v(461)
      v(533)=v(289)*v(460)
      v(532)=v(289)*v(459)
      v(531)=v(289)*v(458)
      v(530)=v(289)*v(457)
      v(529)=v(289)*v(456)
      v(528)=v(289)*v(455)
      v(527)=v(289)*v(454)
      v(526)=v(289)*v(453)
      v(525)=v(289)*v(452)
      v(524)=v(289)*v(451)
      v(523)=v(289)*v(450)
      v(522)=v(289)*v(449)
      v(521)=v(289)*v(448)
      v(520)=v(289)*v(447)
      v(519)=v(289)*v(446)
      v(518)=v(289)*v(445)
      v(517)=v(289)*v(444)
      v(516)=v(289)*v(443)
      v(515)=v(289)*v(442)
      v(514)=v(289)*v(441)
      v(513)=v(289)*v(440)
      v(512)=v(289)*v(439)
      v(299)=v(286)-v(289)
      v(290)=rhoSprevvec(1)*v(111)+rhoSprevvec(2)*v(113)+rhoSprevvec
     &(3)*v(116)+rhoSprevvec(4)*v(119)+rhoSprevvec(5)*v(121)
     &+rhoSprevvec(6)*v(123)+rhoSprevvec(7)*v(126)+rhoSprevvec(8)*v
     &(128)
      v(918)=v(290)*v(292)
      v(908)=v(290)*v(296)
      v(942)=v(177)*(v(2)*(v(365)*v(905)+v(486)*v(906))+v(300)*(v(365
     &)*v(907)+v(535)*v(908)))
      v(941)=v(177)*(v(2)*(v(364)*v(905)+v(485)*v(906))+v(300)*(v(364
     &)*v(907)+v(534)*v(908)))
      v(940)=v(177)*(v(2)*(v(363)*v(905)+1d0*v(484)*v(906))+v(300)*(v
     &(363)*v(907)+v(533)*v(908)))
      v(939)=v(177)*(v(2)*(v(362)*v(905)+1d0*v(483)*v(906))+v(300)*(v
     &(362)*v(907)+v(532)*v(908)))
      v(938)=v(177)*(v(2)*(v(361)*v(905)+1d0*v(482)*v(906))+v(300)*(v
     &(361)*v(907)+v(531)*v(908)))
      v(937)=v(177)*(v(2)*(v(360)*v(905)+1d0*v(481)*v(906))+v(300)*(v
     &(360)*v(907)+v(530)*v(908)))
      v(936)=v(177)*(v(2)*(v(359)*v(905)+1d0*v(480)*v(906))+v(300)*(v
     &(359)*v(907)+v(529)*v(908)))
      v(935)=v(177)*(v(2)*(v(358)*v(905)+1d0*v(479)*v(906))+v(300)*(v
     &(358)*v(907)+v(528)*v(908)))
      v(934)=v(177)*(v(2)*(v(357)*v(905)+1d0*v(478)*v(906))+v(300)*(v
     &(357)*v(907)+v(527)*v(908)))
      v(933)=v(177)*(v(2)*(v(356)*v(905)+1d0*v(477)*v(906))+v(300)*(v
     &(356)*v(907)+v(526)*v(908)))
      v(932)=v(177)*(v(2)*(v(355)*v(905)+1d0*v(476)*v(906))+v(300)*(v
     &(355)*v(907)+v(525)*v(908)))
      v(931)=v(177)*(v(2)*(v(354)*v(905)+1d0*v(475)*v(906))+v(300)*(v
     &(354)*v(907)+v(524)*v(908)))
      v(930)=v(177)*(v(2)*(v(353)*v(905)+1d0*v(474)*v(906))+v(300)*(v
     &(353)*v(907)+v(523)*v(908)))
      v(929)=v(177)*(v(2)*(v(352)*v(905)+1d0*v(473)*v(906))+v(300)*(v
     &(352)*v(907)+v(522)*v(908)))
      v(928)=v(177)*(v(2)*(v(351)*v(905)+1d0*v(472)*v(906))+v(300)*(v
     &(351)*v(907)+v(521)*v(908)))
      v(927)=v(177)*(v(2)*(v(350)*v(905)+1d0*v(471)*v(906))+v(300)*(v
     &(350)*v(907)+v(520)*v(908)))
      v(926)=v(177)*(v(2)*(v(349)*v(905)+1d0*v(470)*v(906))+v(300)*(v
     &(349)*v(907)+v(519)*v(908)))
      v(925)=v(177)*(v(2)*(v(348)*v(905)+1d0*v(469)*v(906))+v(300)*(v
     &(348)*v(907)+v(518)*v(908)))
      v(924)=v(177)*(v(2)*(v(347)*v(905)+1d0*v(468)*v(906))+v(300)*(v
     &(347)*v(907)+v(517)*v(908)))
      v(923)=v(177)*(v(2)*(v(346)*v(905)+1d0*v(467)*v(906))+v(300)*(v
     &(346)*v(907)+v(516)*v(908)))
      v(922)=v(177)*(v(2)*(v(345)*v(905)+1d0*v(466)*v(906))+v(300)*(v
     &(345)*v(907)+v(515)*v(908)))
      v(921)=v(177)*(v(2)*(v(344)*v(905)+1d0*v(465)*v(906))+v(300)*(v
     &(344)*v(907)+v(514)*v(908)))
      v(920)=v(177)*(v(2)*(v(343)*v(905)+1d0*v(464)*v(906))+v(300)*(v
     &(343)*v(907)+v(513)*v(908)))
      v(919)=v(177)*(v(2)*(v(463)*v(487)+v(341)*v(905))+v(300)*(v(341
     &)*v(907)+v(512)*v(908)))
      v(291)=v(111)*v(295)
      v(910)=v(285)*v(291)
      v(761)=v(286)*v(291)*v(894)
      v(768)=v(128)*v(761)
      v(767)=v(126)*v(761)
      v(766)=v(123)*v(761)
      v(765)=v(121)*v(761)
      v(764)=v(119)*v(761)
      v(763)=v(116)*v(761)
      v(762)=v(113)*v(761)
      v(293)=-(v(438)/v(284))
      v(809)=v(128)*v(293)
      v(825)=v(177)*(v(111)*v(128)+v(2)*(v(128)*v(910)+v(809)*v(911))
     &)
      v(949)=v(2)*(v(487)*v(809)+v(128)*v(903))
      v(909)=v(177)*(v(128)+v(949))
      v(843)=v(126)*v(909)
      v(839)=v(121)*v(909)
      v(835)=v(119)*v(909)
      v(833)=v(116)*v(909)
      v(808)=v(126)*v(293)
      v(824)=v(177)*(v(111)*v(126)+v(2)*(v(126)*v(910)+v(808)*v(911))
     &)
      v(948)=v(2)*(v(487)*v(808)+v(126)*v(903))
      v(912)=v(177)*(v(126)+v(948))
      v(841)=v(123)*v(912)
      v(838)=v(121)*v(912)
      v(832)=v(116)*v(912)
      v(829)=v(113)*v(912)
      v(807)=v(123)*v(293)
      v(823)=v(177)*(v(111)*v(123)+v(2)*(v(123)*v(910)+v(807)*v(911))
     &)
      v(947)=v(2)*(v(487)*v(807)+v(123)*v(903))
      v(913)=v(177)*(v(123)+v(947))
      v(837)=v(121)*v(913)
      v(828)=v(113)*v(913)
      v(806)=v(121)*v(293)
      v(822)=v(177)*(v(111)*v(121)+v(2)*(v(121)*v(910)+v(806)*v(911))
     &)
      v(805)=v(119)*v(293)
      v(821)=v(177)*(v(111)*v(119)+v(2)*(v(119)*v(910)+v(805)*v(911))
     &)
      v(945)=v(2)*(v(487)*v(805)+v(119)*v(903))
      v(831)=v(116)*v(177)*(v(119)+v(945))
      v(804)=v(116)*v(293)
      v(820)=v(177)*(v(111)*v(116)+v(2)*(v(116)*v(910)+v(804)*v(911))
     &)
      v(944)=v(2)*(v(487)*v(804)+v(116)*v(903))
      v(827)=v(113)*v(177)*(v(116)+v(944))
      v(803)=v(113)*v(293)
      v(819)=v(177)*(v(111)*v(113)+v(2)*(v(113)*v(910)+v(803)*v(911))
     &)
      v(298)=1d0+v(286)*v(293)
      v(859)=v(128)*v(298)*v(914)
      v(915)=1d0*v(859)
      v(886)=v(791)*v(915)
      v(882)=v(783)*v(915)
      v(878)=v(915)*v(950)
      v(876)=v(775)*v(859)
      v(858)=1d0*v(126)*v(298)*v(914)
      v(916)=1d0*v(858)
      v(884)=v(788)*v(916)
      v(881)=v(783)*v(916)
      v(875)=v(775)*v(858)
      v(872)=v(770)*v(858)
      v(857)=1d0*v(123)*v(298)*v(914)
      v(951)=1d0*v(857)
      v(880)=v(783)*v(951)
      v(871)=v(770)*v(857)
      v(855)=1d0*v(119)*v(298)*v(914)
      v(874)=v(775)*v(855)
      v(854)=1d0*v(116)*v(298)*v(914)
      v(870)=v(770)*v(854)
      v(852)=v(292)*v(298)
      v(867)=v(852)*v(894)
      v(868)=v(128)*v(867)
      v(866)=v(791)*v(852)
      v(865)=v(788)*v(852)
      v(864)=v(783)*v(852)
      v(863)=v(780)*v(852)
      v(862)=v(775)*v(852)
      v(861)=v(770)*v(852)
      v(297)=1d0+v(289)*v(293)
      v(917)=v(177)*(v(299)+v(2)*(v(298)*v(487)+v(285)*v(904))+v(300
     &)*(v(295)*v(907)+v(297)*v(908)))
      resE(1)=v(177)*(v(111)*v(299)+v(2)*(v(287)*v(852)+v(286)*v(910)
     &)+v(300)*(v(291)*v(907)+v(297)*v(918)))
      resE(2)=v(113)*v(917)
      resE(3)=v(116)*v(917)
      resE(4)=v(119)*v(917)
      resE(5)=v(121)*v(917)
      resE(6)=v(123)*v(917)
      resE(7)=v(126)*v(917)
      resE(8)=v(128)*v(917)
      tangEU(1,1)=v(177)*(v(2)*(v(414)*v(905)+v(463)*v(911))+v(300)*
     &(v(414)*v(907)+v(512)*v(918)))
      tangEU(1,2)=v(177)*(v(2)*(v(415)*v(905)+v(464)*v(911))+v(300)*
     &(v(415)*v(907)+v(513)*v(918)))
      tangEU(1,3)=v(177)*(v(2)*(v(416)*v(905)+v(465)*v(911))+v(300)*
     &(v(416)*v(907)+v(514)*v(918)))
      tangEU(1,4)=v(177)*(v(2)*(v(417)*v(905)+v(466)*v(911))+v(300)*
     &(v(417)*v(907)+v(515)*v(918)))
      tangEU(1,5)=v(177)*(v(2)*(v(418)*v(905)+v(467)*v(911))+v(300)*
     &(v(418)*v(907)+v(516)*v(918)))
      tangEU(1,6)=v(177)*(v(2)*(v(419)*v(905)+v(468)*v(911))+v(300)*
     &(v(419)*v(907)+v(517)*v(918)))
      tangEU(1,7)=v(177)*(v(2)*(v(420)*v(905)+v(469)*v(911))+v(300)*
     &(v(420)*v(907)+v(518)*v(918)))
      tangEU(1,8)=v(177)*(v(2)*(v(421)*v(905)+v(470)*v(911))+v(300)*
     &(v(421)*v(907)+v(519)*v(918)))
      tangEU(1,9)=v(177)*(v(2)*(v(422)*v(905)+v(471)*v(911))+v(300)*
     &(v(422)*v(907)+v(520)*v(918)))
      tangEU(1,10)=v(177)*(v(2)*(v(423)*v(905)+v(472)*v(911))+v(300)*
     &(v(423)*v(907)+v(521)*v(918)))
      tangEU(1,11)=v(177)*(v(2)*(v(424)*v(905)+v(473)*v(911))+v(300)*
     &(v(424)*v(907)+v(522)*v(918)))
      tangEU(1,12)=v(177)*(v(2)*(v(425)*v(905)+v(474)*v(911))+v(300)*
     &(v(425)*v(907)+v(523)*v(918)))
      tangEU(1,13)=v(177)*(v(2)*(v(426)*v(905)+v(475)*v(911))+v(300)*
     &(v(426)*v(907)+v(524)*v(918)))
      tangEU(1,14)=v(177)*(v(2)*(v(427)*v(905)+v(476)*v(911))+v(300)*
     &(v(427)*v(907)+v(525)*v(918)))
      tangEU(1,15)=v(177)*(v(2)*(v(428)*v(905)+v(477)*v(911))+v(300)*
     &(v(428)*v(907)+v(526)*v(918)))
      tangEU(1,16)=v(177)*(v(2)*(v(429)*v(905)+v(478)*v(911))+v(300)*
     &(v(429)*v(907)+v(527)*v(918)))
      tangEU(1,17)=v(177)*(v(2)*(v(430)*v(905)+v(479)*v(911))+v(300)*
     &(v(430)*v(907)+v(528)*v(918)))
      tangEU(1,18)=v(177)*(v(2)*(v(431)*v(905)+v(480)*v(911))+v(300)*
     &(v(431)*v(907)+v(529)*v(918)))
      tangEU(1,19)=v(177)*(v(2)*(v(432)*v(905)+v(481)*v(911))+v(300)*
     &(v(432)*v(907)+v(530)*v(918)))
      tangEU(1,20)=v(177)*(v(2)*(v(433)*v(905)+v(482)*v(911))+v(300)*
     &(v(433)*v(907)+v(531)*v(918)))
      tangEU(1,21)=v(177)*(v(2)*(v(434)*v(905)+v(483)*v(911))+v(300)*
     &(v(434)*v(907)+v(532)*v(918)))
      tangEU(1,22)=v(177)*(v(2)*(v(435)*v(905)+v(484)*v(911))+v(300)*
     &(v(435)*v(907)+v(533)*v(918)))
      tangEU(1,23)=v(177)*(v(2)*(v(436)*v(905)+v(485)*v(911))+v(300)*
     &(v(436)*v(907)+v(534)*v(918)))
      tangEU(1,24)=v(177)*(v(2)*(v(437)*v(905)+v(486)*v(911))+v(300)*
     &(v(437)*v(907)+v(535)*v(918)))
      tangEU(2,1)=v(113)*v(919)
      tangEU(2,2)=v(113)*v(920)
      tangEU(2,3)=v(113)*v(921)
      tangEU(2,4)=v(113)*v(922)
      tangEU(2,5)=v(113)*v(923)
      tangEU(2,6)=v(113)*v(924)
      tangEU(2,7)=v(113)*v(925)
      tangEU(2,8)=v(113)*v(926)
      tangEU(2,9)=v(113)*v(927)
      tangEU(2,10)=v(113)*v(928)
      tangEU(2,11)=v(113)*v(929)
      tangEU(2,12)=v(113)*v(930)
      tangEU(2,13)=v(113)*v(931)
      tangEU(2,14)=v(113)*v(932)
      tangEU(2,15)=v(113)*v(933)
      tangEU(2,16)=v(113)*v(934)
      tangEU(2,17)=v(113)*v(935)
      tangEU(2,18)=v(113)*v(936)
      tangEU(2,19)=v(113)*v(937)
      tangEU(2,20)=v(113)*v(938)
      tangEU(2,21)=v(113)*v(939)
      tangEU(2,22)=v(113)*v(940)
      tangEU(2,23)=v(113)*v(941)
      tangEU(2,24)=v(113)*v(942)
      tangEU(3,1)=v(116)*v(919)
      tangEU(3,2)=v(116)*v(920)
      tangEU(3,3)=v(116)*v(921)
      tangEU(3,4)=v(116)*v(922)
      tangEU(3,5)=v(116)*v(923)
      tangEU(3,6)=v(116)*v(924)
      tangEU(3,7)=v(116)*v(925)
      tangEU(3,8)=v(116)*v(926)
      tangEU(3,9)=v(116)*v(927)
      tangEU(3,10)=v(116)*v(928)
      tangEU(3,11)=v(116)*v(929)
      tangEU(3,12)=v(116)*v(930)
      tangEU(3,13)=v(116)*v(931)
      tangEU(3,14)=v(116)*v(932)
      tangEU(3,15)=v(116)*v(933)
      tangEU(3,16)=v(116)*v(934)
      tangEU(3,17)=v(116)*v(935)
      tangEU(3,18)=v(116)*v(936)
      tangEU(3,19)=v(116)*v(937)
      tangEU(3,20)=v(116)*v(938)
      tangEU(3,21)=v(116)*v(939)
      tangEU(3,22)=v(116)*v(940)
      tangEU(3,23)=v(116)*v(941)
      tangEU(3,24)=v(116)*v(942)
      tangEU(4,1)=v(119)*v(919)
      tangEU(4,2)=v(119)*v(920)
      tangEU(4,3)=v(119)*v(921)
      tangEU(4,4)=v(119)*v(922)
      tangEU(4,5)=v(119)*v(923)
      tangEU(4,6)=v(119)*v(924)
      tangEU(4,7)=v(119)*v(925)
      tangEU(4,8)=v(119)*v(926)
      tangEU(4,9)=v(119)*v(927)
      tangEU(4,10)=v(119)*v(928)
      tangEU(4,11)=v(119)*v(929)
      tangEU(4,12)=v(119)*v(930)
      tangEU(4,13)=v(119)*v(931)
      tangEU(4,14)=v(119)*v(932)
      tangEU(4,15)=v(119)*v(933)
      tangEU(4,16)=v(119)*v(934)
      tangEU(4,17)=v(119)*v(935)
      tangEU(4,18)=v(119)*v(936)
      tangEU(4,19)=v(119)*v(937)
      tangEU(4,20)=v(119)*v(938)
      tangEU(4,21)=v(119)*v(939)
      tangEU(4,22)=v(119)*v(940)
      tangEU(4,23)=v(119)*v(941)
      tangEU(4,24)=v(119)*v(942)
      tangEU(5,1)=v(121)*v(919)
      tangEU(5,2)=v(121)*v(920)
      tangEU(5,3)=v(121)*v(921)
      tangEU(5,4)=v(121)*v(922)
      tangEU(5,5)=v(121)*v(923)
      tangEU(5,6)=v(121)*v(924)
      tangEU(5,7)=v(121)*v(925)
      tangEU(5,8)=v(121)*v(926)
      tangEU(5,9)=v(121)*v(927)
      tangEU(5,10)=v(121)*v(928)
      tangEU(5,11)=v(121)*v(929)
      tangEU(5,12)=v(121)*v(930)
      tangEU(5,13)=v(121)*v(931)
      tangEU(5,14)=v(121)*v(932)
      tangEU(5,15)=v(121)*v(933)
      tangEU(5,16)=v(121)*v(934)
      tangEU(5,17)=v(121)*v(935)
      tangEU(5,18)=v(121)*v(936)
      tangEU(5,19)=v(121)*v(937)
      tangEU(5,20)=v(121)*v(938)
      tangEU(5,21)=v(121)*v(939)
      tangEU(5,22)=v(121)*v(940)
      tangEU(5,23)=v(121)*v(941)
      tangEU(5,24)=v(121)*v(942)
      tangEU(6,1)=v(123)*v(919)
      tangEU(6,2)=v(123)*v(920)
      tangEU(6,3)=v(123)*v(921)
      tangEU(6,4)=v(123)*v(922)
      tangEU(6,5)=v(123)*v(923)
      tangEU(6,6)=v(123)*v(924)
      tangEU(6,7)=v(123)*v(925)
      tangEU(6,8)=v(123)*v(926)
      tangEU(6,9)=v(123)*v(927)
      tangEU(6,10)=v(123)*v(928)
      tangEU(6,11)=v(123)*v(929)
      tangEU(6,12)=v(123)*v(930)
      tangEU(6,13)=v(123)*v(931)
      tangEU(6,14)=v(123)*v(932)
      tangEU(6,15)=v(123)*v(933)
      tangEU(6,16)=v(123)*v(934)
      tangEU(6,17)=v(123)*v(935)
      tangEU(6,18)=v(123)*v(936)
      tangEU(6,19)=v(123)*v(937)
      tangEU(6,20)=v(123)*v(938)
      tangEU(6,21)=v(123)*v(939)
      tangEU(6,22)=v(123)*v(940)
      tangEU(6,23)=v(123)*v(941)
      tangEU(6,24)=v(123)*v(942)
      tangEU(7,1)=v(126)*v(919)
      tangEU(7,2)=v(126)*v(920)
      tangEU(7,3)=v(126)*v(921)
      tangEU(7,4)=v(126)*v(922)
      tangEU(7,5)=v(126)*v(923)
      tangEU(7,6)=v(126)*v(924)
      tangEU(7,7)=v(126)*v(925)
      tangEU(7,8)=v(126)*v(926)
      tangEU(7,9)=v(126)*v(927)
      tangEU(7,10)=v(126)*v(928)
      tangEU(7,11)=v(126)*v(929)
      tangEU(7,12)=v(126)*v(930)
      tangEU(7,13)=v(126)*v(931)
      tangEU(7,14)=v(126)*v(932)
      tangEU(7,15)=v(126)*v(933)
      tangEU(7,16)=v(126)*v(934)
      tangEU(7,17)=v(126)*v(935)
      tangEU(7,18)=v(126)*v(936)
      tangEU(7,19)=v(126)*v(937)
      tangEU(7,20)=v(126)*v(938)
      tangEU(7,21)=v(126)*v(939)
      tangEU(7,22)=v(126)*v(940)
      tangEU(7,23)=v(126)*v(941)
      tangEU(7,24)=v(126)*v(942)
      tangEU(8,1)=v(128)*v(919)
      tangEU(8,2)=v(128)*v(920)
      tangEU(8,3)=v(128)*v(921)
      tangEU(8,4)=v(128)*v(922)
      tangEU(8,5)=v(128)*v(923)
      tangEU(8,6)=v(128)*v(924)
      tangEU(8,7)=v(128)*v(925)
      tangEU(8,8)=v(128)*v(926)
      tangEU(8,9)=v(128)*v(927)
      tangEU(8,10)=v(128)*v(928)
      tangEU(8,11)=v(128)*v(929)
      tangEU(8,12)=v(128)*v(930)
      tangEU(8,13)=v(128)*v(931)
      tangEU(8,14)=v(128)*v(932)
      tangEU(8,15)=v(128)*v(933)
      tangEU(8,16)=v(128)*v(934)
      tangEU(8,17)=v(128)*v(935)
      tangEU(8,18)=v(128)*v(936)
      tangEU(8,19)=v(128)*v(937)
      tangEU(8,20)=v(128)*v(938)
      tangEU(8,21)=v(128)*v(939)
      tangEU(8,22)=v(128)*v(940)
      tangEU(8,23)=v(128)*v(941)
      tangEU(8,24)=v(128)*v(942)
      tangEP(1,1)=v(111)*v(761)
      tangEP(1,2)=v(762)
      tangEP(1,3)=v(763)
      tangEP(1,4)=v(764)
      tangEP(1,5)=v(765)
      tangEP(1,6)=v(766)
      tangEP(1,7)=v(767)
      tangEP(1,8)=v(768)
      tangEP(2,1)=v(762)
      tangEP(2,2)=v(113)*v(770)*v(904)
      tangEP(2,3)=v(771)
      tangEP(2,4)=v(763)
      tangEP(2,5)=v(766)
      tangEP(2,6)=v(772)
      tangEP(2,7)=v(773)
      tangEP(2,8)=v(767)
      tangEP(3,1)=v(763)
      tangEP(3,2)=v(771)
      tangEP(3,3)=v(754)*v(775)
      tangEP(3,4)=v(776)
      tangEP(3,5)=v(767)
      tangEP(3,6)=v(773)
      tangEP(3,7)=v(777)
      tangEP(3,8)=v(778)
      tangEP(4,1)=v(764)
      tangEP(4,2)=v(763)
      tangEP(4,3)=v(776)
      tangEP(4,4)=v(755)*v(780)
      tangEP(4,5)=v(768)
      tangEP(4,6)=v(767)
      tangEP(4,7)=v(778)
      tangEP(4,8)=v(781)
      tangEP(5,1)=v(765)
      tangEP(5,2)=v(766)
      tangEP(5,3)=v(767)
      tangEP(5,4)=v(768)
      tangEP(5,5)=v(121)*v(783)*v(904)
      tangEP(5,6)=v(784)
      tangEP(5,7)=v(785)
      tangEP(5,8)=v(786)
      tangEP(6,1)=v(766)
      tangEP(6,2)=v(772)
      tangEP(6,3)=v(773)
      tangEP(6,4)=v(767)
      tangEP(6,5)=v(784)
      tangEP(6,6)=v(757)*v(788)
      tangEP(6,7)=v(789)
      tangEP(6,8)=v(785)
      tangEP(7,1)=v(767)
      tangEP(7,2)=v(773)
      tangEP(7,3)=v(777)
      tangEP(7,4)=v(778)
      tangEP(7,5)=v(785)
      tangEP(7,6)=v(789)
      tangEP(7,7)=v(758)*v(791)
      tangEP(7,8)=v(792)
      tangEP(8,1)=v(768)
      tangEP(8,2)=v(767)
      tangEP(8,3)=v(778)
      tangEP(8,4)=v(781)
      tangEP(8,5)=v(786)
      tangEP(8,6)=v(785)
      tangEP(8,7)=v(792)
      tangEP(8,8)=v(759)*v(887)
      tangEE(1,1)=v(177)*((v(111)*v(111))+v(111)*v(2)*(v(910)+v(293
     &)*v(911)))
      tangEE(1,2)=v(819)
      tangEE(1,3)=v(820)
      tangEE(1,4)=v(821)
      tangEE(1,5)=v(822)
      tangEE(1,6)=v(823)
      tangEE(1,7)=v(824)
      tangEE(1,8)=v(825)
      tangEE(2,1)=v(819)
      tangEE(2,2)=v(177)*(v(943)+v(2)*(v(113)*v(487)*v(803)+v(903)*v
     &(943)))
      tangEE(2,3)=v(827)
      tangEE(2,4)=v(820)
      tangEE(2,5)=v(823)
      tangEE(2,6)=v(828)
      tangEE(2,7)=v(829)
      tangEE(2,8)=v(824)
      tangEE(3,1)=v(820)
      tangEE(3,2)=v(827)
      tangEE(3,3)=v(177)*((v(116)*v(116))+v(116)*v(944))
      tangEE(3,4)=v(831)
      tangEE(3,5)=v(824)
      tangEE(3,6)=v(829)
      tangEE(3,7)=v(832)
      tangEE(3,8)=v(833)
      tangEE(4,1)=v(821)
      tangEE(4,2)=v(820)
      tangEE(4,3)=v(831)
      tangEE(4,4)=v(177)*((v(119)*v(119))+v(119)*v(945))
      tangEE(4,5)=v(825)
      tangEE(4,6)=v(824)
      tangEE(4,7)=v(833)
      tangEE(4,8)=v(835)
      tangEE(5,1)=v(822)
      tangEE(5,2)=v(823)
      tangEE(5,3)=v(824)
      tangEE(5,4)=v(825)
      tangEE(5,5)=v(177)*(v(946)+v(2)*(1d0*v(121)*v(806)*v(906)+v(903
     &)*v(946)))
      tangEE(5,6)=v(837)
      tangEE(5,7)=v(838)
      tangEE(5,8)=v(839)
      tangEE(6,1)=v(823)
      tangEE(6,2)=v(828)
      tangEE(6,3)=v(829)
      tangEE(6,4)=v(824)
      tangEE(6,5)=v(837)
      tangEE(6,6)=v(177)*((v(123)*v(123))+v(123)*v(947))
      tangEE(6,7)=v(841)
      tangEE(6,8)=v(838)
      tangEE(7,1)=v(824)
      tangEE(7,2)=v(829)
      tangEE(7,3)=v(832)
      tangEE(7,4)=v(833)
      tangEE(7,5)=v(838)
      tangEE(7,6)=v(841)
      tangEE(7,7)=v(177)*((v(126)*v(126))+v(126)*v(948))
      tangEE(7,8)=v(843)
      tangEE(8,1)=v(825)
      tangEE(8,2)=v(824)
      tangEE(8,3)=v(833)
      tangEE(8,4)=v(835)
      tangEE(8,5)=v(839)
      tangEE(8,6)=v(838)
      tangEE(8,7)=v(843)
      tangEE(8,8)=v(177)*((v(128)*v(128))+v(128)*v(949))
      tangES(1,1)=v(111)*v(867)
      tangES(1,2)=v(861)
      tangES(1,3)=v(862)
      tangES(1,4)=v(863)
      tangES(1,5)=v(864)
      tangES(1,6)=v(865)
      tangES(1,7)=v(866)
      tangES(1,8)=v(868)
      tangES(2,1)=v(861)
      tangES(2,2)=1d0*v(113)*v(298)*v(770)*v(914)
      tangES(2,3)=v(870)
      tangES(2,4)=v(862)
      tangES(2,5)=v(865)
      tangES(2,6)=v(871)
      tangES(2,7)=v(872)
      tangES(2,8)=v(866)
      tangES(3,1)=v(862)
      tangES(3,2)=v(870)
      tangES(3,3)=v(775)*v(854)
      tangES(3,4)=v(874)
      tangES(3,5)=v(866)
      tangES(3,6)=v(872)
      tangES(3,7)=v(875)
      tangES(3,8)=v(876)
      tangES(4,1)=v(863)
      tangES(4,2)=v(862)
      tangES(4,3)=v(874)
      tangES(4,4)=v(855)*v(950)
      tangES(4,5)=v(868)
      tangES(4,6)=v(866)
      tangES(4,7)=v(876)
      tangES(4,8)=v(878)
      tangES(5,1)=v(864)
      tangES(5,2)=v(865)
      tangES(5,3)=v(866)
      tangES(5,4)=v(868)
      tangES(5,5)=1d0*v(121)*v(298)*v(783)*v(914)
      tangES(5,6)=v(880)
      tangES(5,7)=v(881)
      tangES(5,8)=v(882)
      tangES(6,1)=v(865)
      tangES(6,2)=v(871)
      tangES(6,3)=v(872)
      tangES(6,4)=v(866)
      tangES(6,5)=v(880)
      tangES(6,6)=v(788)*v(951)
      tangES(6,7)=v(884)
      tangES(6,8)=v(881)
      tangES(7,1)=v(866)
      tangES(7,2)=v(872)
      tangES(7,3)=v(875)
      tangES(7,4)=v(876)
      tangES(7,5)=v(881)
      tangES(7,6)=v(884)
      tangES(7,7)=1d0*v(791)*v(916)
      tangES(7,8)=v(886)
      tangES(8,1)=v(868)
      tangES(8,2)=v(866)
      tangES(8,3)=v(876)
      tangES(8,4)=v(878)
      tangES(8,5)=v(882)
      tangES(8,6)=v(881)
      tangES(8,7)=v(886)
      tangES(8,8)=1d0*v(887)*v(915)
      END
